## osmnx 0.11.4%2Bds

=== debian/tests/control ===
Test-Command: python3-coverage run --source osmnx -m pytest --verbose debian/tests/test_osmnx_offline.py
Depends: python3-osmnx, python3-coverage, python3-pytest

#Test-Command: python3-coverage run --source osmnx -m pytest --verbose /usr/share/doc/python-osmnx-doc/examples/tests/test_osmnx.py
#Depends: python3-osmnx, python-osmnx-doc, python3-coverage, python3-pytest, python3-scipy, python3-sklearn

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds \
https://github.com/gboeing/osmnx/releases .*/v(\d[\.\d]*)\.tar\.(?:gz|bz2|xz)

## osmnx 0.11.4+ds

=== requirements.txt ===
descartes>=1.1
geopandas>=0.6
matplotlib>=3.1
networkx>=2.4
numpy>=1.17
pandas>=1.0
pyproj>=2.4
requests>=2.22
Rtree>=0.9
Shapely>=1.7

=== debian/changelog ===
osmnx (0.11.4+ds-1ubuntu1) focal; urgency=medium

  * Disable the online autopkg test; access blocked by the remote site.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 03:16:47 +0100

osmnx (0.11.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - copyright year tuple, update;
      - Files-Excluded field, refresh;
    - debian/watch, fix;
    - debian/control:
      - Standards-Version, bump to 4.5.0.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 02 Feb 2020 18:13:17 +0000

osmnx (0.11+ds-2) unstable; urgency=medium

  * Fix Release Critical bug due texliv-base transition (Closes: #947726).
  * Debiaization:
    - debian/control:
      - Build-Depends-Indep field, replace texlive-generic-extra by
        texlive-plain-generic.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Dec 2019 17:57:41 +0000

osmnx (0.11+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, update;
    - debian/control:
      - Recommends field, add python3-tk;
    - debian/patches/*:
      - d/p/debianization{,-tests-neutralize-folium}.patch , refresh;
      - d/p/debianization-tests-neutralize-stats_stats4.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 27 Dec 2019 14:32:31 +0000

osmnx (0.10+ds-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Jerome Benoit ]
  * Set Rules-Requires-Root to no
  * Add to Build-Depends python3-pytest.
  * Add to {Build-,}Depends python3-distutils.
  * Introduce d/p/debianization-tests-neutralize-stats_stats4.patch .

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 16 Nov 2019 08:47:00 +0000

osmnx (0.10+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #852200)

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 23 Jul 2019 17:14:11 +0000

=== debian/control ===
Source: osmnx
Section: python
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (=12),
 dh-python,
 python3,
 python3-coverage,
 python3-descartes,
 python3-geopandas,
 python3-matplotlib,
 python3-networkx,
 python3-numpy,
 python3-pandas,
 python3-requests,
 python3-rtree,
 python3-setuptools,
 python3-distutils,
 python3-scipy,
 python3-shapely,
 python3-sklearn,
 python3-pytest
Build-Depends-Indep:
 python3-sphinx,
 latexmk,
 texlive-plain-generic,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra
Standards-Version: 4.5.0
Homepage: https://github.com/gboeing/osmnx
Vcs-Git: https://salsa.debian.org/python-team/modules/osmnx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/osmnx

Package: python3-osmnx
Architecture: all
Depends: ${python3:Depends}, python3-distutils, ${misc:Depends}
Recommends: python3-scipy, python3-sklearn, python3-tk
Suggests: python-osmnx-doc (= ${source:Version})
Description: tool to study street networks from OpenStreetMap -- Python3
 OSMnx retrieves, models, analyzes, and visualizes street networks
 from OpenStreetMap (OSM).
 .
 OSMnx is a Python package that lets you download spatial geometries
 and model, project, visualize, and analyze street networks from
 OpenStreetMap's APIs. Users can download and model walkable, drivable,
 or bikable urban networks with a single line of Python code, and then
 easily analyze and visualize them.
 .
 This package contains the Python 3 version of OSMnx.

Package: python-osmnx-doc
Section: doc
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: www-browser, pdf-viewer
Enhances: python3-osmnx (= ${source:Version})
Description: tool to study street networks from OpenStreetMap -- doc
 OSMnx retrieves, models, analyzes, and visualizes street networks
 from OpenStreetMap (OSM).
 .
 OSMnx is a Python package that lets you download spatial geometries
 and model, project, visualize, and analyze street networks from
 OpenStreetMap's APIs. Users can download and model walkable, drivable,
 or bikable urban networks with a single line of Python code, and then
 easily analyze and visualize them.
 .
 This package contains documentation with examples for OSMnx.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=osmnx

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_prep:
	chmod 0755 tests/run_tests.sh
	dh_prep -O--buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) PYTHONDONTWRITEBYTECODE=1 \
		python3-coverage run --source osmnx -m pytest --verbose debian/tests/test_osmnx_offline.py

DEB_SPHINXDOC_SRCDIR=$(CURDIR)/docs/source
DEB_SPHINXDOC_BUILDDIR=$(CURDIR)/_BUILD/doc
DEB_SPHINXDOC_PKGDOCDIR=/usr/share/doc/python-$(PYBUILD_NAME)-doc
DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/$(DEB_SPHINXDOC_PKGDOCDIR)
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -M latexpdf $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
	python3 -m sphinx -M html     $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
	cp -prd -t $(DEB_SPHINXDOC_DOCDIR) $(DEB_SPHINXDOC_BUILDDIR)/latex/OSMnx.pdf $(DEB_SPHINXDOC_BUILDDIR)/html
	dh_sphinxdoc $(DEB_SPHINXDOC_PKGDOCDIR)/html
endif

override_dh_installchangelogs:
	dh_installchangelogs --keep CHANGELOG.md

override_dh_compress:
	dh_compress -Xtests -X.pdf -X.ipynb

override_dh_fixperms:
	dh_fixperms -Xrun_tests.sh

## osmnx 1.0.1+ds

=== requirements.txt ===
descartes>=1.1
geopandas>=0.8
matplotlib>=3.3
networkx>=2.5
numpy>=1.19
pandas>=1.1
pyproj>=2.6
requests>=2.25
Rtree>=0.9
Shapely>=1.7

=== debian/changelog ===
osmnx (1.0.1+ds-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable the online autopkg test; access blocked by the remote site.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Mar 2021 09:23:25 +0100

osmnx (1.0.1+ds-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Jerome Benoit ]
  * new upstream major version.
  * d/copyright:
    - Files-Excluded list, refresh;
    - copyright year tuples, update;
  * d/control:
    - Build-Depends field, update.
  * d/p/debianization.patch, update;
  * d/rules, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 22 Jan 2021 14:50:39 +0000

osmnx (0.16.2+ds-2) unstable; urgency=medium

  * d/t/test_osmnx_offline.py is now really an offline test.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Nov 2020 16:19:44 +0000

osmnx (0.16.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/p/debianization-tests-neutralize-folium.patch, no more needed.
  * d/t/test_osmnx_offline.py, update.
  * d/control, bump Standards-Version to 4.5.1 (no change).
  * d/control, update Recommends field.
  * d/tests/control, update Depends fields.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Nov 2020 14:12:00 +0000

osmnx (0.14.1+ds-2) unstable; urgency=medium

  [ Jerome Benoit]
  * d/control: bump dh to 13.
  * d/u/metadata: introduce.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 05 Nov 2020 21:08:01 +0000

osmnx (0.14.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 13 Jun 2020 18:42:55 +0000

osmnx (0.14.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/control:
      - Files-Excluded field, update;
    - debian/patches/*, refresh;
    - debian/tests/*:
      - d/t/control, update;
      - t/d/test_osmnx_offline.py, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Jun 2020 16:26:07 +0000

osmnx (0.12.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/control:
      - Build-Depends list, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 05 May 2020 07:43:06 +0000

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_prep:
-	chmod 0755 tests/run_tests.sh
+	chmod 0755 tests/lint_test.sh
 	dh_prep -O--buildsystem=pybuild
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: python3-coverage run --source osmnx -m pytest --verbose debian/tests/test_osmnx_offline.py
Depends: python3-osmnx, python3-coverage, python3-pytest, python3-folium, python3-scipy, python3-sklearn

#Test-Command: python3-coverage run --source osmnx -m pytest --verbose /usr/share/doc/python-osmnx-doc/examples/tests/test_osmnx.py
#Depends: python3-osmnx, python-osmnx-doc, python3-coverage, python3-pytest, python3-folium, python3-scipy, python3-sklearn

## osmnx 1.2.2+ds

=== requirements.txt ===
geopandas>=0.11
matplotlib>=3.5
networkx>=2.8
numpy>=1.22
pandas>=1.4
pyproj>=3.3
requests>=2.28
Rtree>=1.0
Shapely>=1.8,<2.0

=== debian/changelog ===
osmnx (1.2.2+ds-1) unstable; urgency=medium

  * New upstream nano version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 14 Aug 2022 16:49:34 +0000

osmnx (1.2.1+ds-2) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - online test, add needs-internet and flaky Restrictions
       (Closes: #1013371).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Jun 2022 15:51:14 +0000

osmnx (1.2.1+ds-1) unstable; urgency=medium

  * New upstream nano version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 19 Jun 2022 15:05:47 +0000

osmnx (1.2.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyright year-tuples, update;
    - d/control:
      - Standards-Version, bump to 4.6.1 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 May 2022 15:40:21 +0000

osmnx (1.1.2+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/watch, update;
    - d/control:
      - doc package, add Multi-Arch metadata;
    - d/rules:
      - override_dh_installexamples target, discard coding material;
      - override_dh_fixperms target, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Nov 2021 10:50:29 +0000

osmnx (1.1.1+ds-5) unstable; urgency=medium

  * Debianization:
     - d/patches/*:
       - d/p/{adhoc-fix-elevation-multiprocessing,
           debianization-tests-extra}.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 04 Nov 2021 15:47:34 +0000

osmnx (1.1.1+ds-4) unstable; urgency=medium

  * Debianization:
    - d/tests: enhance.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Oct 2021 18:12:03 +0000

osmnx (1.1.1+ds-3) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Standards-Version, bump to 4.6.0 (no change);
    - d/rules:
      - override_dh_auto_clean target, introduce to harden debclean;
    - d/tests/control:
      - online tests:
        - Restrictions field, add needs-internet (Closes: #995021).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 Oct 2021 14:28:43 +0000

osmnx (1.1.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Aug 2021 16:04:01 +0000

osmnx (1.1.1+ds-1) experimental; urgency=medium

  * New minoe version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/control:
      - Depends and Recommends fiels, update;
    - d/tests/control:
      - Depends field, upstream test, update;
    - d/rules:
      - override_dh_prep target, remove executable bit to t/est_osmnx.py .

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Jun 2021 13:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,33 @@
 Section: python
 Priority: optional
 Maintainer: Jerome Benoit <calculus@rezozer.net>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  dh-python,
  python3,
  python3-coverage,
- python3-descartes,
- python3-geopandas,
- python3-matplotlib,
- python3-networkx,
- python3-numpy,
- python3-pandas,
- python3-requests,
- python3-rtree,
+ python3-descartes (>=1.1),
+ python3-geopandas (>=0.7),
+ python3-matplotlib (>=3.2),
+ python3-networkx (>=2.4),
+ python3-numpy (>=1.18),
+ python3-pandas (>=0.25),
+ python3-pyproj (>=2.6),
+ python3-requests (>=2.23),
+ python3-rtree (>=0.9),
  python3-setuptools,
  python3-distutils,
+ python3-folium,
+ python3-sklearn,
  python3-scipy,
- python3-shapely,
- python3-sklearn,
- python3-pytest
+ python3-shapely (>=1.7),
+ python3-pytest,
+ black,
+ isort,
+ flake8,
+ pydocstyle
 Build-Depends-Indep:
  python3-sphinx,
  latexmk,
@@ -30,16 +36,22 @@
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-fonts-recommended,
- texlive-latex-extra
-Standards-Version: 4.5.0
+ texlive-latex-extra,
+ tex-gyre
+Standards-Version: 4.6.1
 Homepage: https://github.com/gboeing/osmnx
-Vcs-Git: https://salsa.debian.org/python-team/modules/osmnx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/osmnx
+Vcs-Git: https://salsa.debian.org/python-team/packages/osmnx.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/osmnx
 
 Package: python3-osmnx
 Architecture: all
-Depends: ${python3:Depends}, python3-distutils, ${misc:Depends}
-Recommends: python3-scipy, python3-sklearn, python3-tk
+Depends:
+ ${python3:Depends}, python3-descartes, python3-distutils,
+ ${misc:Depends}
+Recommends:
+ python3-gdal, python3-rasterio,
+ python3-scipy, python3-folium, python3-sklearn,
+ python3-tk
 Suggests: python-osmnx-doc (= ${source:Version})
 Description: tool to study street networks from OpenStreetMap -- Python3
  OSMnx retrieves, models, analyzes, and visualizes street networks
@@ -56,6 +68,7 @@
 Package: python-osmnx-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Suggests: www-browser, pdf-viewer

## osmnx 1.2.3+ds

=== requirements.txt ===
geopandas>=0.12
matplotlib>=3.6
networkx>=2.8
numpy>=1.23
pandas>=1.5
pyproj>=3.4
requests>=2.28
Rtree>=1.0
Shapely>=1.8,<2.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = OSMnx
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
osmnx (1.2.3+ds-1) unstable; urgency=medium

  * New upstream nano version (Closes: #1025588).
  * Debianization:
    - d/copyright:
      - Files-Excluded list, adjust.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 17 Dec 2022 13:43:17 +0000

osmnx (1.2.2+ds-2) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Depends fields, drop python3-descarted dependencies (Closes: #1025044);
        thanks to Bas Couwenberg <sebastic@xs4all.nl> for noticing the issue;
      - Built-Using, python-osmnx-doc Package, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 03 Dec 2022 11:02:14 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  dh-python,
  python3,
  python3-coverage,
- python3-descartes (>=1.1),
  python3-geopandas (>=0.7),
  python3-matplotlib (>=3.2),
  python3-networkx (>=2.4),
@@ -46,7 +45,7 @@
 Package: python3-osmnx
 Architecture: all
 Depends:
- ${python3:Depends}, python3-descartes, python3-distutils,
+ ${python3:Depends}, python3-distutils,
  ${misc:Depends}
 Recommends:
  python3-gdal, python3-rasterio,
@@ -69,7 +68,6 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Suggests: www-browser, pdf-viewer
 Enhances: python3-osmnx (= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_prep:
+	chmod a-x tests/test_osmnx.py
 	chmod 0755 tests/lint_test.sh
 	dh_prep -O--buildsystem=pybuild
 
@@ -32,8 +33,12 @@
 override_dh_installchangelogs:
 	dh_installchangelogs --keep CHANGELOG.md
 
+override_dh_installexamples:
+	dh_installexamples  -XREADME.md -X.yml -X.sh
+
 override_dh_compress:
 	dh_compress -Xtests -X.pdf -X.ipynb
 
-override_dh_fixperms:
-	dh_fixperms -Xrun_tests.sh
+override_dh_auto_clean:
+	dh_auto_clean -O--buildsystem=pybuild
+	chmod a+x tests/test_osmnx.py

=== debian/tests/control ===
Test-Command: debian/tests/check offline
Depends:
 python3-osmnx, python-osmnx-doc,
 python3-coverage, python3-pytest,
 python3-folium, python3-scipy, python3-sklearn

Test-Command: debian/tests/check online
Restrictions: needs-internet, flaky
Depends:
 python3-osmnx, python-osmnx-doc,
 python3-coverage, python3-pytest,
 python3-gdal, python3-rasterio, python3-folium, python3-scipy, python3-sklearn

## osmnx 1.5.0+ds

=== docs/requirements.txt ===
furo
sphinx == 6.*  # same value as needs_sphinx in /docs/conf.py

=== debian/changelog ===
osmnx (1.5.0+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/patches/*:
      - d/p/upstream-doc-latex-unicode_c_char.patch, introduce;
      - d/p/debianization.patch, stick to sphynx 5 for now;
    - d/tests/*:
      - d/t/control, add python3-matplotlib to Depends lists;
    - d/control:
      - dependencies, refresh;
      - migration to flit;
      - python3-osmnx package, now Recommends python3-matplotlib
        and Suggests python3-folium;
    - d/rules:
      - override_dh_sphinxdoc target, update;
      - override_dh_installexamples target, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 02 Jul 2023 22:21:28 +0000

osmnx (1.3.0+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
      - copyright year-tuples, update;
    - d/control:
      - Build-Depends list, update;
      - Standards-Version, bump to 4.6.2 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 06 Apr 2023 13:43:06 +0000

=== debian/control ===
--- 
+++ 
@@ -9,27 +9,25 @@
  dh-python,
  python3,
  python3-coverage,
- python3-geopandas (>=0.7),
- python3-matplotlib (>=3.2),
- python3-networkx (>=2.4),
- python3-numpy (>=1.18),
- python3-pandas (>=0.25),
- python3-pyproj (>=2.6),
- python3-requests (>=2.23),
- python3-rtree (>=0.9),
- python3-setuptools,
- python3-distutils,
- python3-folium,
+ python3-geopandas (>=0.12),
+ python3-networkx (>=2.8),
+ python3-numpy (>=1.23),
+ python3-pandas (>=1.5),
+ python3-requests (>=2.28),
+ python3-shapely (>=2.0),
+ python3-matplotlib (>=3.5),
  python3-sklearn,
  python3-scipy,
- python3-shapely (>=1.7),
+ python3-folium,
  python3-pytest,
+ python3-hatchling,
+ flit,
  black,
  isort,
- flake8,
  pydocstyle
 Build-Depends-Indep:
  python3-sphinx,
+ furo,
  latexmk,
  texlive-plain-generic,
  texlive-latex-base,
@@ -37,7 +35,7 @@
  texlive-fonts-recommended,
  texlive-latex-extra,
  tex-gyre
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/gboeing/osmnx
 Vcs-Git: https://salsa.debian.org/python-team/packages/osmnx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/osmnx
@@ -45,13 +43,16 @@
 Package: python3-osmnx
 Architecture: all
 Depends:
- ${python3:Depends}, python3-distutils,
+ ${python3:Depends},
  ${misc:Depends}
 Recommends:
+ python3-matplotlib,
  python3-gdal, python3-rasterio,
- python3-scipy, python3-folium, python3-sklearn,
+ python3-scipy, python3-sklearn,
  python3-tk
-Suggests: python-osmnx-doc (= ${source:Version})
+Suggests:
+ python3-folium,
+ python-osmnx-doc (= ${source:Version})
 Description: tool to study street networks from OpenStreetMap -- Python3
  OSMnx retrieves, models, analyzes, and visualizes street networks
  from OpenStreetMap (OSM).
@@ -81,4 +82,4 @@
  or bikable urban networks with a single line of Python code, and then
  easily analyze and visualize them.
  .
- This package contains documentation with examples for OSMnx.
+ This package contains documentation for OSMnx.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	PYTHONPATH=$(CURDIR) PYTHONDONTWRITEBYTECODE=1 \
 		python3-coverage run --source osmnx -m pytest --verbose debian/tests/test_osmnx_offline.py
 
-DEB_SPHINXDOC_SRCDIR=$(CURDIR)/docs/source
+DEB_SPHINXDOC_SRCDIR=$(CURDIR)/docs
 DEB_SPHINXDOC_BUILDDIR=$(CURDIR)/_BUILD/doc
 DEB_SPHINXDOC_PKGDOCDIR=/usr/share/doc/python-$(PYBUILD_NAME)-doc
 DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/$(DEB_SPHINXDOC_PKGDOCDIR)
@@ -26,18 +26,15 @@
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -M latexpdf $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
 	python3 -m sphinx -M html     $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
-	cp -prd -t $(DEB_SPHINXDOC_DOCDIR) $(DEB_SPHINXDOC_BUILDDIR)/latex/OSMnx.pdf $(DEB_SPHINXDOC_BUILDDIR)/html
+	cp -prd -t $(DEB_SPHINXDOC_DOCDIR) $(DEB_SPHINXDOC_BUILDDIR)/latex/osmnx.pdf $(DEB_SPHINXDOC_BUILDDIR)/html
 	dh_sphinxdoc $(DEB_SPHINXDOC_PKGDOCDIR)/html
 endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs --keep CHANGELOG.md
 
-override_dh_installexamples:
-	dh_installexamples  -XREADME.md -X.yml -X.sh
-
 override_dh_compress:
-	dh_compress -Xtests -X.pdf -X.ipynb
+	dh_compress -Xtests -X.pdf
 
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild

## osmnx 1.9.1+ds

=== docs/requirements.txt ===
furo
sphinx == 7.*  # same value as needs_sphinx in /docs/source/conf.py

=== debian/changelog ===
osmnx (1.9.1+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyright year-tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 23 Feb 2024 16:44:56 +0000

osmnx (1.8.0+ds-1) unstable; urgency=medium

  * New upstream minor version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 10 Dec 2023 17:26:34 +0000

osmnx (1.7.1+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/rules:
      - override_dh_sphinxdoc target, refresh;
      - override_dh_{prep,auto_clean} targets, harden;
    - d/patches/*:
      - d/p/debianization.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 24 Nov 2023 15:59:49 +0000

osmnx (1.6.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/control:
      - Build-Depends, add pybuild-plugin-pyproject;
    - d/patches/*:
      - d/p/upstream-doc-latex-unicode_c_char.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Sep 2023 19:21:51 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (=13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3,
  python3-coverage,
  python3-geopandas (>=0.12),

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,14 @@
 
 override_dh_prep:
 	chmod a-x tests/test_osmnx.py
-	chmod 0755 tests/lint_test.sh
+	chmod a+x tests/lint_test.sh
 	dh_prep -O--buildsystem=pybuild
 
 override_dh_auto_test:
 	PYTHONPATH=$(CURDIR) PYTHONDONTWRITEBYTECODE=1 \
 		python3-coverage run --source osmnx -m pytest --verbose debian/tests/test_osmnx_offline.py
 
-DEB_SPHINXDOC_SRCDIR=$(CURDIR)/docs
+DEB_SPHINXDOC_SRCDIR=$(CURDIR)/docs/source
 DEB_SPHINXDOC_BUILDDIR=$(CURDIR)/_BUILD/doc
 DEB_SPHINXDOC_PKGDOCDIR=/usr/share/doc/python-$(PYBUILD_NAME)-doc
 DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/$(DEB_SPHINXDOC_PKGDOCDIR)
@@ -38,4 +38,5 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
+	chmod a-x tests/lint_test.sh
 	chmod a+x tests/test_osmnx.py

## osmnx 1.9.3+ds

=== debian/changelog ===
osmnx (1.9.3+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/control:
      - Standards-Version, bump to 4.7.0 (no change);
    - d/python-osmnx-doc.docs, add CITATION.cff.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 09 May 2024 23:20:04 +0000

osmnx (1.9.2+ds-1) unstable; urgency=medium

  * New upstream minor version.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 12 Apr 2024 12:57:10 +0000

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  texlive-fonts-recommended,
  texlive-latex-extra,
  tex-gyre
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/gboeing/osmnx
 Vcs-Git: https://salsa.debian.org/python-team/packages/osmnx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/osmnx

## osmnx 1.9.4+ds

=== debian/changelog ===
osmnx (1.9.4+ds-2) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Build-Depends list, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Sep 2024 16:35:57 +0000

osmnx (1.9.4+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/control:
      - Build-Depends list, adjust.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 27 Sep 2024 12:14:03 +0000

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,11 @@
  python3-pandas (>=1.5),
  python3-requests (>=2.28),
  python3-shapely (>=2.0),
+ python3-scipy (>=1.5),
+ python3-sklearn (>=0.23),
+ python3-gdal,
+ python3-rasterio (>=1.3),
  python3-matplotlib (>=3.5),
- python3-sklearn,
- python3-scipy,
  python3-folium,
  python3-pytest,
  python3-hatchling,

## osmnx 2.0.1+ds

=== debian/changelog ===
osmnx (2.0.1+ds-2) unstable; urgency=medium

  * Debianization:
    - d/tests/*:
      - d/t/test_osmnx_offline.py, adjust;
    - d/rules, clean-up.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Jan 2025 22:00:23 +0000

osmnx (2.0.1+ds-1) unstable; urgency=medium

  * New upstream major version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization-tests-extra.patch, refresh;
      - d/p/debianization-reverse-elevation-rio_vrt.patch, introduce;
    - d/tests/*:
      - d/t/test_osmnx_offline.py, refresh;
    - d/control:
      - Build-Depends-Indep field, update;
    - d/copyright:
      - copyright year-tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Jan 2025 17:47:59 +0000

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  pydocstyle
 Build-Depends-Indep:
  python3-sphinx,
+ python3-sphinx-autodoc-typehints,
  furo,
  latexmk,
  texlive-plain-generic,

## osmnx 2.0.2+ds

=== debian/changelog ===
osmnx (2.0.2+ds-1) unstable; urgency=medium

  * New upstream nano release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, update;
    - d/control:
      - Standards-Version, bump to 4.7.2 (no change);
    - d/patches/*
      - d/p/debianization-tests-extra.patch, was out-of-age.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 12 Apr 2025 17:47:11 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  texlive-fonts-recommended,
  texlive-latex-extra,
  tex-gyre
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/gboeing/osmnx
 Vcs-Git: https://salsa.debian.org/python-team/packages/osmnx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/osmnx

## osmnx 2.0.3%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: osmnx
 Section: python
 Priority: optional
-Maintainer: Jerome Benoit <calculus@rezozer.net>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Jerome Benoit <calculus@rezozer.net>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (=13),

## osmnx 2.0.3+ds

=== debian/changelog ===
osmnx (2.0.3+ds-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Team upload.
  * drop unused dep on pydocstyle
  * drop "Rules-Requires-Root: no": it is the new default
  * use dh-sequence-python3

  [ Bas Couwenberg ]
  * Add python3-typeguard to build dependencies, required for tests.
  * Add dh-sequence-sphinxdoc to build dependencies.
  * Drop --with sphinxdoc dh option.
  * Fix nodoc conditional.
  * Add python3-typeguard to test dependencies too; closes: #1123424.

 -- Joseph Nahmias <jello@debian.org>  Thu, 25 Dec 2025 16:19:40 -0500

osmnx (2.0.3+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Aug 2025 18:26:20 +0000

osmnx (2.0.3+ds-1) experimental; urgency=medium

  * New upstream nano release.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Jun 2025 13:31:36 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jerome Benoit <calculus@rezozer.net>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (=13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
  python3,
  python3-coverage,
@@ -25,10 +25,10 @@
  python3-folium,
  python3-pytest,
  python3-hatchling,
+ python3-typeguard,
  flit,
  black,
  isort,
- pydocstyle
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-autodoc-typehints,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=osmnx

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) PYTHONDONTWRITEBYTECODE=1 \
		python3-coverage run --source osmnx -m pytest --verbose debian/tests/test_osmnx_offline.py

DEB_SPHINXDOC_SRCDIR=$(CURDIR)/docs/source
DEB_SPHINXDOC_BUILDDIR=$(CURDIR)/_BUILD/doc
DEB_SPHINXDOC_PKGDOCDIR=/usr/share/doc/python-$(PYBUILD_NAME)-doc
DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/$(DEB_SPHINXDOC_PKGDOCDIR)
override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -M latexpdf $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
	python3 -m sphinx -M html     $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
	cp -prd -t $(DEB_SPHINXDOC_DOCDIR) $(DEB_SPHINXDOC_BUILDDIR)/latex/osmnx.pdf $(DEB_SPHINXDOC_BUILDDIR)/html
	dh_sphinxdoc $(DEB_SPHINXDOC_PKGDOCDIR)/html
endif

override_dh_installchangelogs:
	dh_installchangelogs --keep CHANGELOG.md

override_dh_compress:
	dh_compress -Xtests -X.pdf

=== debian/tests/control ===
Test-Command: debian/tests/check offline
Depends:
 python3-osmnx, python-osmnx-doc,
 python3-coverage, python3-pytest,
 python3-matplotlib, python3-scipy, python3-sklearn, python3-typeguard,
 python3-folium

Test-Command: debian/tests/check online
Restrictions: needs-internet, flaky
Depends:
 python3-osmnx, python-osmnx-doc,
 python3-coverage, python3-pytest,
 python3-matplotlib, python3-scipy, python3-sklearn, python3-typeguard,
 python3-gdal, python3-rasterio,
 python3-folium
